View Issue Details

IDProjectCategoryView StatusLast Update
0003583GNUnetcadet servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003583: CADET NPE's (gnunet9-peer core dump)
DescriptionUsing host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/home/gnunet9/lib//gnunet/libexec/gnunet-service-cadet -c /home/gnunet9/.config'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x000000000040f330 in get_prev_hop (c=0xeb86c0) at gnunet-service-cadet_connection.c:718
718 if (0 == c->own_pos || c->path->length < 2)
(gdb) ba
#0 0x000000000040f330 in get_prev_hop (c=0xeb86c0) at gnunet-service-cadet_connection.c:718
#1 0x000000000041704f in GCC_notify_broken (c=0xeb86c0, peer=0xe9c180) at gnunet-service-cadet_connection.c:2901
#2 0x00000000004259e6 in notify_broken (cls=0xe9c180, key=0x63ad60 <hc>, value=0xeb86c0) at gnunet-service-cadet_peer.c:345
#3 0x00007faae6066c2c in GNUNET_CONTAINER_multihashmap_iterate (map=0xeaa730, it=0x425914 <notify_broken>, it_cls=0xe9c180) at container_multihashmap.c:340
#4 0x00000000004260b5 in core_disconnect (cls=0x0, peer=0xe9c5d0) at gnunet-service-cadet_peer.c:449
#5 0x00007faae5c22cfc in disconnect_and_free_peer_entry (cls=0xe979b0, key=0x7fff6a6383d0, value=0xe9c580) at core_api.c:389
#6 0x00007faae606816c in GNUNET_CONTAINER_multipeermap_iterate (map=0xe97030, it=0x7faae5c22a3d <disconnect_and_free_peer_entry>, it_cls=0xe979b0) at container_multipeermap.c:361
#7 0x00007faae5c282f3 in GNUNET_CORE_disconnect (handle=0xe979b0) at core_api.c:1259
#8 0x000000000042a685 in GCP_shutdown () at gnunet-service-cadet_peer.c:1660
#9 0x000000000042eea2 in shutdown_task (cls=0x0, tc=0x7fff6a6384d0) at gnunet-service-cadet.c:115
#10 0x00007faae608d2ec in run_ready (rs=0xe95d40, ws=0xe95dd0) at scheduler.c:595
#11 0x00007faae608db7a in GNUNET_SCHEDULER_run (task=0x7faae6099e57 <service_task>, task_cls=0x7fff6a638870) at scheduler.c:817
#12 0x00007faae609bbeb in GNUNET_SERVICE_run (argc=3, argv=0x7fff6a638b08, service_name=0x435bda "cadet", options=GNUNET_SERVICE_OPTION_NONE, task=0x42ef37 <run>, task_cls=0x0)
    at service.c:1498
#13 0x000000000042f2bf in main (argc=3, argv=0x7fff6a638b08) at gnunet-service-cadet.c:174
(gdb) print c->path
$1 = (struct CadetPeerPath *) 0x0
TagsNo tags attached.

Activities

Christian Grothoff

2014-12-19 14:37

manager   ~0008711

Also just got it on my desktop, same trace. Must not be super-rare.

amatus

2015-01-02 19:09

developer   ~0008748

I get this often when stopping gnunet.

Bart Polot

2015-01-15 15:20

manager   ~0008774

Fixed in r34888.

Issue History

Date Modified Username Field Change
2014-12-19 10:09 Christian Grothoff New Issue
2014-12-19 10:09 Christian Grothoff Status new => assigned
2014-12-19 10:09 Christian Grothoff Assigned To => Bart Polot
2014-12-19 14:37 Christian Grothoff Note Added: 0008711
2015-01-02 19:09 amatus Note Added: 0008748
2015-01-15 15:20 Bart Polot Note Added: 0008774
2015-01-15 15:20 Bart Polot Status assigned => resolved
2015-01-15 15:20 Bart Polot Fixed in Version => SVN HEAD
2015-01-15 15:20 Bart Polot Resolution open => fixed
2015-01-16 11:05 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed